Available on crate feature
api and crate feature unstable-msc4140 and (crate features client-api-c or client-api-s) and (crate features client or server) only.Expand description
PUT /_matrix/client/*/rooms/{roomId}/send/{eventType}/{txnId}
Send a delayed event (a scheduled message) to a room.
This endpoint implements a previous iteration of MSC4140 at commit 3ee73ab, which adds an
unstable query parameter to send_message_event. At the time of writing, this matches the
current implementation of Synapse but the latest iteration of the MSC uses the
send_delayed_event endpoint instead.